/*
 *  Kylin Box security utils
 *
 *  This file contains definitions for Kylin Box security utils
 *
 *  Authors:  songchuanfei <songchuanfei@kylinos.cn>
 *
 *  Copyright (C) 2017,Tianjin KYLIN Information Technology Co., Ltd.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the
 *  Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 */
#ifndef KYSECURITY_BOX_H
#define KYSECURITY_BOX_H

#include <linux/types.h>

typedef unsigned char uint8_t;
#ifndef XATTR_SECURITY_PREFIX
#define	XATTR_SECURITY_PREFIX "security."
#endif

#define XATTR_BOX_SUFFIX "boxadm"
#define XATTR_NAME_BOX XATTR_SECURITY_PREFIX XATTR_BOX_SUFFIX
#define ATTR_NOT_BOX    0U
#define ATTR_BOX_DIR  	1U
#define ATTR_BOX_CHILD 	2U
#define ATTR_BOX_UNKNOWN 3U

struct box_struct{
	uint8_t box_attr;
	uid_t   box_uid;
};

#define  IS_BOX_DIR(data) 	((data).box_attr == ATTR_BOX_DIR )
#define  IS_BOX_CHILD(data) 	((data).box_attr == ATTR_BOX_CHILD )
#define  IS_NOT_BOX(data) 	(!IS_BOX_DIR(data) && !IS_BOX_CHILD(data))


#endif
